package com.huimv.env.environ.service.impl;

import com.alibaba.fastjson.JSON;
import com.huimv.common.result.Result;
import com.huimv.common.result.ResultCode;
import com.huimv.env.environ.dao.entity.EnvHourEntity;
import com.huimv.env.environ.dao.repo.EnvHourRepo;
import com.huimv.env.environ.service.IEnviron;
import com.huimv.env.utils.Const;
import org.hibernate.criterion.Example;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class EnvironImpl implements IEnviron {
    @Autowired
    private EnvHourRepo envHourRepo;
    /**
     * @Method      : getLastEnviron
     * @Description : 读取最后一条记录
     * @Params      : []
     * @Return      : com.huimv.common.result.Result
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/12/2       
     * @Time        : 23:28
     */
    @Override
    public Result getLastEnviron(){
//        Example
        Optional<EnvHourEntity> optional = envHourRepo.findLastOne();
        if(optional.isPresent()){
            EnvHourEntity envHourEntity = optional.get();
            System.out.println("envHourEntity>>"+envHourEntity);
            return new Result(ResultCode.SUCCESS,envHourEntity);
//            return new Result(ResultCode.SUCCESS,JSON.toJSON(envHourEntity).toString());
        }else{
            return new Result(Const.ERROR_CODE_NOTEXIST,Const.ERROR_MSG_NOTEXIST,false);
        }
    }
}
